var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconOtherToolComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-Other_Tool").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 24 24" }, rest, { ref: ref }),
        React.createElement("g", null,
            React.createElement("path", { d: "M1.92 9.157c0-1.16.273-2.256.758-3.228.145-.289.527-.334.756-.106l4.175 4.175a.5.5 0 0 0 .707 0l1.95-1.95a.5.5 0 0 0 0-.708L6.19 3.263c-.237-.236-.178-.634.13-.765a7.237 7.237 0 0 1 9.49 9.515.523.523 0 0 0 .103.577l4.759 4.76a1 1 0 0 1 0 1.414l-1.909 1.908a1 1 0 0 1-1.414 0l-4.759-4.76a.523.523 0 0 0-.577-.103A7.237 7.237 0 0 1 1.92 9.157Z" })));
}
var IconOtherTool = React.forwardRef(IconOtherToolComponent);
export default IconOtherTool;
